reportIAS = function(groupName)
local closeUp,count,group,units,unit,unitName,position,heading,velocity,speed,wind,relativeVelocity,headingText,playerPosition,landHeight,flag

	flag = trigger.misc.getUserFlag('999')
	if flag > 0 then
		playerPosition = Unit.getPosition(Unit.getByName('Player')).p
		landHeight = land.getHeight({x=playerPosition.x,y=playerPosition.z})
		if playerPosition.y > landHeight+10 then
			group = Group.getByName(groupName)
			if group then
				units = Group.getUnits(group)
				if #units > 0 then
					unit = units[1]
					if unit then
						unitName = Unit.getName(unit)
						position = Unit.getPosition(unit).p
						heading = math.floor((mist.getHeading(unit)*180/math.pi+5)/10)*10
						if heading < 100 then
							headingText = '0' .. heading
						else
							headingText = '' .. heading
						end
						if headingText == '00' then
							headingText = '360'
						end
						velocity = Unit.getVelocity(unit) -- let's get its velocity
						wind = atmosphere.getWind(position)
						relativeVelocity = mist.vec.sub(velocity,wind)
						speed = math.sqrt(relativeVelocity.x^2+relativeVelocity.z^2)  -- calculate its speed
						if speed > 10 and (math.abs(speed - oldSpeed) > 2.5 or math.abs(heading-oldHeading) > 10 or timer.getTime() - oldTime > 60) then
							trigger.action.outSoundForCoalition(coalition.side.RED,'RadioClickAfter.wav')
							trigger.action.outTextForCoalition(coalition.side.RED,'This is ' ..  unitName .. '. ' .. math.floor(((1-6E-5*position.y)*speed*3.6+2.5)/5)*5 .. ' km/h indicated, heading ' .. headingText .. '. ',20)
							oldTime = timer.getTime()
						end
						oldSpeed = speed
						oldHeading = heading
					end
					closeUp = true
					for count = 1,#units do
						if mist.utils.get2DDist(playerPosition, Unit.getPosition(units[count]).p) < 750 then
							closeUp = false
						end
					end
					if closeUp and not oldCloseUp then
						HOVER_out('100, what are you doing? Close up',10)
					end
					oldCloseUp = closeUp
				end
			end
		end
	end
end

local count

oldCloseUp = false
oldSpeed = 0
oldHeading = 0
oldTime = timer.getTime()
helicopterTable = {'101'}

HOVER_deepSchedule(reportIAS,{'Escort Helicopter Group'},timer.getTime()+3,3)
